function [ppBoth] = fit_nanobeam_holeinfo_oblong
nanobeamScale = 1.03;
a = 4.36e-7*nanobeamScale;
hh = 1.65e-7*nanobeamScale;
hw = 3.66e-7*nanobeamScale;
mDef = 0.25;
oblong = 1.6508;
nDef = 6.5;
nNom = 11;
fs = [1-mDef*(1-((0:nDef-1)/nDef).^2),ones(1,nNom)];
fs = [fliplr(fs(2:end)),fs];
hhs = hh*fs.^(1-oblong);
hws = hw*fs.^(1+oblong);

measuredCavityhh =   [0.3780
    0.3980
    0.4140
    0.4360
    0.4550
    0.4640
    0.4690
    0.4650
    0.4470
    0.4320
    0.4140
    0.3950
    0.3780];


measuredCavityhw =   [0.8400
    0.6700
    0.5680
    0.4900
    0.4250
    0.4060
    0.3920
    0.4040
    0.4390
    0.4850
    0.5700
    0.6640
    0.8400];

measuredCavityhw=measuredCavityhw*a;
measuredCavityhh=measuredCavityhh*a;

fittedindices = [11:23];


    hwdata = measuredCavityhw(1:13);
    hhdata = measuredCavityhh(1:13);
    indices = 1:13;
    
%     tmpfun=@(pp) sum((funcw(pp(1),pp(2))-hwdata').^2);
%     pp0=[mDef,oblong];
%     ppw = fminsearch(tmpfun,pp0);
%     
%     tmpfun=@(pp) sum((funch(pp(1),pp(2))-hhdata').^2);
%     pp0=[mDef,oblong];
%     pph = fminsearch(tmpfun,pp0);
   
    tmpfun=@(pp) sum((funcBoth(pp(1),pp(2))-[hhdata',hwdata']).^2);
    pp0=[mDef,oblong];
    ppBoth = fminsearch(tmpfun,pp0);
    
    
    %pph = lsqcurvefit(@(pp,indices) funch(pp(1),pp(2)), [mDef,oblong], indices, hhdata');
    fittedhwdata = funcw(ppBoth(1),ppBoth(2));
    fittedhhdata = funch(ppBoth(1),ppBoth(2));
    fittedhwdata = funcw(mDef,oblong);
    fittedhhdata = funch(mDef,oblong);
    figure();
    hold on;
    scatter(indices,hwdata);
    plot(fittedhwdata);
    
    figure();
    hold on;
    scatter(indices,hhdata);
    plot(fittedhhdata);



end
    
function hws = funcw(mDef,oblong)
nanobeamScale = 1.03;
hh = 1.65e-7*nanobeamScale;
hw = 3.66e-7*nanobeamScale;
nDef = 6.5;
nNom = 11;

    fs = [1-mDef*(1-((0:nDef-1)/nDef).^2),ones(1,nNom)];
    fs = [fliplr(fs(2:end)),fs];
    hhs = hh*fs.^(1-oblong);
    hws = hw*fs.^(1+oblong);
    fittedindices = [11:23];
    hhs = hhs(fittedindices);
    hws = hws(fittedindices);
end

    
function hhs = funch(mDef,oblong)
nanobeamScale = 1.03;
hh = 1.65e-7*nanobeamScale;
hw = 3.66e-7*nanobeamScale;
nDef = 6.5;
nNom = 11;
    fs = [1-mDef*(1-((0:nDef-1)/nDef).^2),ones(1,nNom)];
    fs = [fliplr(fs(2:end)),fs];
    hhs = hh*fs.^(1-oblong);
    hws = hw*fs.^(1+oblong);
    fittedindices = [11:23];
    hhs = hhs(fittedindices);
    hws = hws(fittedindices);
end


function both = funcBoth(mDef,oblong)
nanobeamScale = 1.03;
hh = 1.65e-7*nanobeamScale;
hw = 3.66e-7*nanobeamScale;
nDef = 6.5;
nNom = 11;
    fs = [1-mDef*(1-((0:nDef-1)/nDef).^2),ones(1,nNom)];
    fs = [fliplr(fs(2:end)),fs];
    hhs = hh*fs.^(1-oblong);
    hws = hw*fs.^(1+oblong);
    fittedindices = [11:23];
    hhs = hhs(fittedindices);
    hws = hws(fittedindices);
    both = [hhs,hws];
end