% Generates slab and hole information for a cross unitcell. The input
% structure P is expected to have the following parameters:
%
% P.a = lattice spacing; P.h = cross height; P.w = cross width;
%
% Sean Meenehan, 9/12/13

function [slabs,holes,latticeVecs,fixedBounds] = generateUnitCellCross(P)
a = P.a;
h = P.h;
w = P.w;

% Create the slab
slab.type = 'Rectangle';
slab.wx = a;
slab.wy = a;
slab.x = a/2;
slab.y = a/2;
slabs = {slab};

% Create the holes
hole.type = 'Cross';
hole.h = h;
hole.w = w;
hole.x = 0;
hole.y = 0;
holes = {hole};
hole.x = a;
holes{end+1} = hole;
hole.y = a;
holes{end+1} = hole;
hole.x = 0;
holes{end+1} = hole;

latticeVecs = {[a,0,0],[0,a,0]};
fixedBounds = {};

end

