% Evaluate the dot product of the mechanical mode profile and the surface
% normal (nx,ny,nz) at all input points (x,y,z) and store in the cell array
% mInt so that we can retrieve them later during the optical integration
%
% Sean Meenehan, 10/11/11

function a = oIntBndPrep(x,y,z)

global oInt
global oIntFem
global oIntCnt
global oSol
global xLim
global yLim

a = zeros(size(x));
inds = find(abs(x) < xLim & abs(y) < yLim);


if ~isempty(inds)
    n = oIntFem.appl{1}.equ.n{end};
    a(inds) = postinterp(oIntFem,[num2str(n^2-1),'*epsilon0_rfw*normtE_rfw^2-',num2str(1/n^2-1), ...
                         '/epsilon0_rfw*(abs(nx*Dx_rfw+ny*Dy_rfw+nz*Dz_rfw)^2)'], ...
                         [x(inds);y(inds);z(inds)],'edim',2,'solnum',oSol);
    a(isnan(a)) = 0;
end


oInt{oIntCnt} = a;
oIntCnt = oIntCnt+1;
