% Evaluate the strain tensor elements of the mechanical mode at all input 
% points (x,y,z) and store in cell arrays so that we can retrieve them later 
% during the optical integration
%
% Sean Meenehan, 12/3/11

function a = oIntVolPrep(x,y,z)

global oIntEx
global oIntExCnt
global oIntEy
global oIntEyCnt
global oIntEz
global oIntEzCnt
global oIntExy
global oIntExyCnt
global oIntExz
global oIntExzCnt
global oIntEyz
global oIntEyzCnt
global oIntFem
global oSol
global xLim
global yLim

a = zeros(size(x));
inds = find(abs(x) < xLim & abs(y) < yLim);

if ~isempty(inds)
    a(inds) = postinterp(oIntFem,['epsilon0_rfw*abs(Ex)^2'],[x(inds);y(inds);z(inds)],'edim',3,'solnum',oSol);
    a(isnan(a)) = 0;
end
oIntEx{oIntExCnt} = a;
oIntExCnt = oIntExCnt+1;

if ~isempty(inds)
    a(inds) = postinterp(oIntFem,'epsilon0_rfw*abs(Ey)^2',[x(inds);y(inds);z(inds)],'edim',3,'solnum',oSol);
    a(isnan(a)) = 0;
end
oIntEy{oIntEyCnt} = a;
oIntEyCnt = oIntEyCnt+1;

if ~isempty(inds)
    a(inds) = postinterp(oIntFem,'epsilon0_rfw*abs(Ez)^2',[x(inds);y(inds);z(inds)],'edim',3,'solnum',oSol);
    a(isnan(a)) = 0;
end
oIntEz{oIntEzCnt} = a;
oIntEzCnt = oIntEzCnt+1;

if ~isempty(inds)
    a(inds) = postinterp(oIntFem,'epsilon0_rfw*real(Ex*conj(Ey))',[x(inds);y(inds);z(inds)],'edim',3,'solnum',oSol);
    a(isnan(a)) = 0;
end
oIntExy{oIntExyCnt} = a;
oIntExyCnt = oIntExyCnt+1;

if ~isempty(inds)
    a(inds) = postinterp(oIntFem,'epsilon0_rfw*real(Ex*conj(Ez))',[x(inds);y(inds);z(inds)],'edim',3,'solnum',oSol);
    a(isnan(a)) = 0;
end
oIntExz{oIntExzCnt} = a;
oIntExzCnt = oIntExzCnt+1;

if ~isempty(inds)
    a(inds) = postinterp(oIntFem,'epsilon0_rfw*real(Ey*conj(Ez))',[x(inds);y(inds);z(inds)],'edim',3,'solnum',oSol);
    a(isnan(a)) = 0;
end
oIntEyz{oIntEyzCnt} = a;
oIntEyzCnt = oIntEyzCnt+1;