function [ind] = point2solid_index(g,pos,p0,varargin)
% ind = solid_index(g,p0,n)
% ind = solid_index(g,p0,p1,p2)
% Returns the indices of the objects that has one of the faces
% speficied by the plane and one vertice specified by the position p0. 
% Planes are specified by (p0,n) or (p0,p1,p2) where px are points in the 
% plane and n is a normal vector to the plane. p0 is a vertex point of the solid.
% It uses p0 as a vertice. 
% pos = is an indicator to where the object is relative to the axis and to
% the plane. pos = +1, if the vector that goes from the specified plane to the object is 
% grows in the same direction as the coordinate system and pos=-1
% otherwise.

if (pos~=1)&&(pos~=-1)
    error('Bad format for the position indicator. pos = +1 or -1');
end
% g = fem.geom
% n = [1 0 0]
% p0 = [-(air_width/2) 0 -air_thickness/2]
% pos = 1
% bnd = point2bnd_index(g,p0,n)
bnd = point2bnd_index(g,p0,varargin{:});
adj2D = geominfo(g,'out','adj','Odp',[2;3]);
if ~isempty(bnd)
    for k=1:length(bnd)
        ind(k) = (find(adj2D{1}(bnd(k),:)==pos))-1;
    end
else
    ind=[];
end