function [ind,adj2D,bnd] = solid_index(g,pos,p0,varargin)
% Returns the indices of the solid object that has one of the faces
% speficied by the plane and one vertice specified by the position p0. 
% Planes are specified by (p0,n) or (p0,p1,p2) where px are points in the 
% plane and n is a normal vector to the plane. p0 is a vertex point of the solid.
% pos = is an indicator to where the object is relative to the axis and to
% the plane. pos = +1, if the vector that goes from the specified plane to the object is 
% grows in the same direction as the coordinate system and pos=-1
% otherwise.

if (pos~=1)&&(pos~=-1)
    error('Bad format for the position indicator. pos = +1 or -1');
end

bnd = bndindex(g,p0,varargin{:});
adj2D = geominfo(g,'out','adj','Odp',[2;3]);

[ff, ind] = find(adj2D{1}(bnd,:)==pos);
ind = ind-1;   %subtract 1 because the external area of simulation is always the volume #1