function model = runMechSim2(frequencystart,Nsols)%

import com.comsol.model.*
import com.comsol.model.util.*

model = mphload('HighQ_TLS_realFullSymRand4nm_PML_8shields_v5_template.mph');

ModelUtil.showProgress(true);

model.study('std1').feature('eig').set('neigs', Nsols);
model.study('std1').feature('eig').set('neigsactive', true);
model.study('std1').feature('eig').set('shift', num2str(frequencystart));
model.study('std1').feature('eig').set('eigwhich', 'lr');
model.study('std1').feature('eig').set('geometricNonlinearity', true);
model.study('std1').feature('eig').set('discretization', {'smsld' 'physics'});

model.sol('sol1').attach('std1');
model.sol('sol1').feature('e1').set('transform', 'eigenfrequency');
model.sol('sol1').feature('e1').set('neigs', Nsols);
model.sol('sol1').feature('e1').set('eigwhich', 'si');
model.sol('sol1').feature('e1').set('shift', num2str(frequencystart));
model.sol('sol1').feature('e1').set('storelinpoint', true);
model.sol('sol1').runAll;



end
