function runSim_strain_Q_2X_script_input(s,e)

nametag = 'HighQ_TLS_realFullSymRand4nm_PML_8shields_v5_';

fstart = s*1e9;
fend = e*1e9;

frequency = fstart;

while frequency < fend
    Nsols = 10; % 100 mode for each file
    tic
    model = runMechSim2(frequency,Nsols);
    
    frequency = real(mphglobal(model,'smsld.omega/2/pi','dataset','dset1','solnum',Nsols));
       
    
    savefilename = [nametag num2str(frequency/1e9,'%.05fe9') '_101locations_2Xxlimit_lintotal.mat'];
    mphname = [nametag num2str(frequency/1e9,'%.05fe9') '.mph'];
    
    
%     mphsave(model,mphname);
    disp(['Time for solving: ' num2str(round(toc)) ' seconds']);
    % Nsols=str2num(mphinterp(model.param.get('Nsols'));
    
    Nlocations = 101; % can be 201
    ds = zeros(Nsols,Nlocations,11); %10 col are fm,x,y,z,strain11,strain12,strain13,strain22,strain23,strain33
    
    %% chose 50 random loacations with in 20nm from surface -2.4399e-07,+2.4399e-07(mode volume/width/thickness);-2.71993E-7,2.71993E-7;-1.1e-7,1.1e-7
    
    temp = load('locations_201_2Xxlimit.mat');
    locations = temp.locations;
    
    
    
    tic
    for n = 1 : Nsols
        %prefact =  (mphglobal(model,'hbar_const','dataset','dset1','solnum',n))/(2*real(mphglobal(model,'smsld.omega','dataset','dset1','solnum',n)));
        %fieldnormFactor_old = sqrt(prefact/real(mphint2(model,{'(smsld.rho*smsld.disp^2)'},3,'dataset','dset1','solnum',n)));
        fieldnormFactor = mphglobal(model,'sqrt(hbar_const*smsld.omega/(2*2*smsld.Wh_tot))','dataset','dset1','solnum',n);
        fm = real(mphglobal(model,'smsld.omega/2/pi','dataset','dset1','solnum',n));
        Qm = real(mphglobal(model,'smsld.Q_eig','dataset','dset1','solnum',n));
        for j = 1 : Nlocations
            [el11,el12,el13,el22,el23,el33] = mphinterp(model,{'smsld.el11','smsld.el12','smsld.el13','smsld.el22','smsld.el23','smsld.el33'},'coord',locations(j,:)','dataset','dset1','solnum',n,'evalmethod','lintotal');
            
            el11 = fieldnormFactor*real(el11);
            el12 = fieldnormFactor*real(el12);
            el13 = fieldnormFactor*real(el13);
            el22 = fieldnormFactor*real(el22);
            el23 = fieldnormFactor*real(el23);
            el33 = fieldnormFactor*real(el33);
            
            %         [el11,el12,el13,el22,el23,el33] = deal(fieldnormFactor*[el11,el12,el13,el22,el23,el33]);
            
            
            ds(n,j,1) = fm;
            ds(n,j,(2:4)) = locations(j,:);
            ds(n,j,(5:10)) = [el11,el12,el13,el22,el23,el33];
            ds(n,j,11) = Qm;
            
        end
    end
    
    disp(['Time for reading: ' num2str(round(toc)) ' seconds']);
    disp(['Fm ' num2str(round(fm/1e4)/1e5) ' GHz just finished']);
    disp(['Fm range for this script is from' num2str(round(fstart/1e4)/1e5) 'GHz to' num2str(round(fend/1e4)/1e5) 'GHz']);
    save(savefilename,'ds');
end



% %---------------------------generate locations or read in locations---------------------------------------------------
%
%
% x0 = 0;
% y0 = 0;
% rx0 = 1.004E-7;
% ry0 = 8.6215E-8;
%
% x1 = 3.3157E-7;
% y1 = 0;
% rx1 = 9.9969E-8;
% ry1 = 8.8030E-8;
%
% x2 = 6.6836E-7;
% y2 = 0;
% rx2 = 9.8470E-8;
% ry2 = 9.3617E-8;
%
%
% xlimit = 2.4399e-07*1;
% ylimit = 2.71993e-7;
% zlimit = 1.1e-7;
%
% locations = zeros(201,3);
%
%
% s = RandStream('mt19937ar','Seed','shuffle');
% RandStream.setGlobalStream(s);
% stddev = 1;
% % normal distribution;
% % randVal = normrnd(0,stddev);
%
%
% % uniform distribution
% for i = 1:length(locations(:,1))
%     good = 0;
%     while good == 0
%         locations(i,1) = 2*(rand(1)-0.5)*xlimit;
%         locations(i,2) = 2*(rand(1)-0.5)*ylimit;
%         locations(i,3) = 2*(rand(1)-0.5)*zlimit;
%         if     (((locations(i,1) - x0)^2/rx0^2 + (locations(i,2) - y0)^2/ry0^2) > 1) && (((locations(i,1) - x1)^2/rx1^2 + (locations(i,2) - y1)^2/ry1^2) > 1) && ...
%                 (((locations(i,1) - x2)^2/rx2^2 + (locations(i,2) - y2)^2/ry2^2) > 1)  && (((locations(i,1) + x1)^2/rx1^2 + (locations(i,2) + y1)^2/ry1^2) > 1) && ...
%                 (((locations(i,1) + x2)^2/rx2^2 + (locations(i,2) + y2)^2/ry2^2) > 1) && ...
%                 ((zlimit-locations(i,3)) <= 20e-9)
%             good = 1;
% %         elseif (((locations(i,1) - x1)^2/rx1^2 + (locations(i,2) - y1)^2/ry1^2) > 1) && ((zlimit-locations(i,3)) < 20e-9)
% %             good = 1;
% %         elseif (((locations(i,1) - x2)^2/rx2^2 + (locations(i,2) - y2)^2/ry2^2) > 1) && ((zlimit-locations(i,3)) < 20e-9)
% %             good = 1;
% %         elseif (((locations(i,1) + x1)^2/rx1^2 + (locations(i,2) + y1)^2/ry1^2) > 1) && ((zlimit-locations(i,3)) < 20e-9)
% %             good = 1;
% %         elseif (((locations(i,1) + x2)^2/rx2^2 + (locations(i,2) + y2)^2/ry2^2) > 1) && ((zlimit-locations(i,3)) < 20e-9)
%             good = 1;
%
%         elseif (((locations(i,1) - x0)^2/rx0^2 + (locations(i,2) - y0)^2/ry0^2) > 1) && (((locations(i,1) - x0)^2/(rx0+20e-9)^2 + (locations(i,2) - y0)^2/(ry0+20e-9)^2) <= 1)
%             good = 1;
%         elseif (((locations(i,1) - x1)^2/rx1^2 + (locations(i,2) - y1)^2/ry1^2) > 1) && (((locations(i,1) - x1)^2/(rx1+20e-9)^2 + (locations(i,2) - y1)^2/(ry1+20e-9)^2) <= 1)
%             good = 1;
%         elseif (((locations(i,1) - x2)^2/rx2^2 + (locations(i,2) - y2)^2/ry2^2) > 1) && (((locations(i,1) - x2)^2/(rx2+20e-9)^2 + (locations(i,2) - y2)^2/(ry2+20e-9)^2) <= 1)
%             good = 1;
%         elseif (((locations(i,1) + x1)^2/rx1^2 + (locations(i,2) + y1)^2/ry1^2) > 1) && (((locations(i,1) + x1)^2/(rx1+20e-9)^2 + (locations(i,2) + y1)^2/(ry1+20e-9)^2) <= 1)
%             good = 1;
%         elseif (((locations(i,1) + x2)^2/rx2^2 + (locations(i,2) + y2)^2/ry2^2) > 1) && (((locations(i,1) + x2)^2/(rx2+20e-9)^2 + (locations(i,2) + y2)^2/(ry2+20e-9)^2) <= 1)
%             good = 1;
%         elseif ((ylimit-locations(i,2)) <= 20e-9) && ((ylimit+locations(i,2)) < 20e-9)
%             good = 1;
%         end
%     end
% end
% %--------------------------------------------------------------------------------

%-------------------------
% a = ds(1,:,5);
% b = isnan(a);
% sum(b)
% 
%  for i = 280:-1:1
% 
%      if b(i)==1
%          locations(i,:) = [];
%      end
%  end



